CREATE TABLE `taxa` (
  `taxon_id` int(11) NOT NULL auto_increment,
  `division` varchar(64) default NULL,
  `family` varchar(64) default NULL,
  `genus` varchar(64) default NULL,
  `species` varchar(64) default NULL,
  `subsp` varchar(64) default NULL,
  `var` varchar(64) default NULL,
  PRIMARY KEY  (`taxon_id`),
  KEY `division_index` (`division`),
  KEY `family_index` (`family`),
  KEY `genus_index` (`genus`),
  KEY `species_index` (`species`)
) TYPE=MyISAM;

CREATE TABLE `loci` (
  `locus_id` int(11) NOT NULL auto_increment,
  `name_short` varchar(16) default NULL,
  `name_long` varchar(255) default NULL,
  `genome` varchar(32) default NULL,
  PRIMARY KEY  (`locus_id`),
  KEY `name_sort_index` (`name_short`),
  KEY `name_long_index` (`name_long`)
) TYPE=MyISAM;

CREATE TABLE `sequences` (
  `seq_id` int(11) NOT NULL auto_increment,
  `taxon_id` int(11) default NULL,
  `locus_id` int(11) default NULL,
  `genbank_id` varchar(16) default NULL,
  `genbank_version` int(11) default NULL,
  `sequence` blob,
  `score` int(11) default NULL,
  PRIMARY KEY  (`seq_id`),
  KEY `taxon_index` (`taxon_id`),
  KEY `gene_id` (`locus_id`),
  KEY `genbank_index` (`genbank_id`)
) TYPE=MyISAM;

CREATE TABLE `motif` (
  `motif_id` int(11) NOT NULL auto_increment,
  `taxon_id` int(11) default NULL,
  `motif` varchar(255) default NULL,
  `locus_id` int(11) default NULL,
  PRIMARY KEY  (`motif_id`),
  UNIQUE KEY `barcode` (`taxon_id`,`motif`),
  KEY `taxon_key` (`taxon_id`),
  KEY `motif_key` (`motif`),
  KEY `locus_key` (`locus_id`)
) TYPE=MyISAM;